/// <reference types="node" />
import * as cp from 'child_process';
export declare class NatsServer {
    protected process?: cp.ChildProcess;
    protected stopping: boolean;
    protected onUnexpectedStop?: (stderr: string) => void;
    protected running: boolean;
    protected clusterSeedUrls?: string[];
    protected serverListenPort?: number;
    protected clusterListenUrl?: string;
    protected exeName?: string;
    protected appName?: string;
    constructor(onUnexpectedStop?: (stderr: string) => void, serverListenPort?: number, clusterSeedUrls?: string[], clusterListenUrl?: string, appName?: string);
    start(): void;
    stop(): void;
    isRunning(): boolean;
}
